Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_AcquisitionHeader Struct Reference

`#include <ismrmrd.h>`

Inheritance diagram for ISMRMRD::ISMRMRD_AcquisitionHeader:

## Public Attributes

uint16_t | version
uint64_t | flags
uint32_t | measurement_uid
uint32_t | scan_counter
uint32_t | acquisition_time_stamp
uint32_t | physiology_time_stamp [ISMRMRD_PHYS_STAMPS]
uint16_t | number_of_samples
uint16_t | available_channels
uint16_t | active_channels
uint64_t | channel_mask [ISMRMRD_CHANNEL_MASKS]
uint16_t | discard_pre
uint16_t | discard_post
uint16_t | center_sample
uint16_t | encoding_space_ref
uint16_t | trajectory_dimensions
float | sample_time_us
float | position [3]
float | read_dir [3]
float | phase_dir [3]
float | slice_dir [3]
float | patient_table_position [3]
ISMRMRD_EncodingCounters | idx
int32_t | user_int [ISMRMRD_USER_INTS]
float | user_float [ISMRMRD_USER_FLOATS]

## Detailed Description

Header for each MR acquisition.

## Member Data Documentation

## acquisition_time_stamp

uint32_t ISMRMRD::ISMRMRD_AcquisitionHeader::acquisition_time_stamp

Acquisition clock

## active_channels

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::active_channels

Active coils on current acquisition

## available_channels

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::available_channels

Available coils

## center_sample

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::center_sample

Sample at the center of k-space

## channel_mask

uint64_t ISMRMRD::ISMRMRD_AcquisitionHeader::channel_mask[ISMRMRD_CHANNEL_MASKS]

Mask to indicate which channels are active. Support for 1024 channels

## discard_post

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::discard_post

Samples to be discarded at the end of acquisition

## discard_pre

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::discard_pre

Samples to be discarded at the beginning of acquisition

## encoding_space_ref

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::encoding_space_ref

Reference to an encoding space, typically only one per acquisition

## flags

uint64_t ISMRMRD::ISMRMRD_AcquisitionHeader::flags

bit field with flags

## idx

ISMRMRD_EncodingCounters ISMRMRD::ISMRMRD_AcquisitionHeader::idx

Encoding loop counters, see above

## measurement_uid

uint32_t ISMRMRD::ISMRMRD_AcquisitionHeader::measurement_uid

Unique ID for the measurement

## number_of_samples

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::number_of_samples

Number of samples acquired

## patient_table_position

float ISMRMRD::ISMRMRD_AcquisitionHeader::patient_table_position[3]

Patient table off-center

## phase_dir

float ISMRMRD::ISMRMRD_AcquisitionHeader::phase_dir[3]

Directional cosines of the phase

## physiology_time_stamp

uint32_t ISMRMRD::ISMRMRD_AcquisitionHeader::physiology_time_stamp[ISMRMRD_PHYS_STAMPS]

Physiology time stamps, e.g. ecg, breathing, etc.

## position

float ISMRMRD::ISMRMRD_AcquisitionHeader::position[3]

Three-dimensional spatial offsets from isocenter

## read_dir

float ISMRMRD::ISMRMRD_AcquisitionHeader::read_dir[3]

Directional cosines of the readout/frequency encoding

## sample_time_us

float ISMRMRD::ISMRMRD_AcquisitionHeader::sample_time_us

Time between samples in micro seconds, sampling BW

## scan_counter

uint32_t ISMRMRD::ISMRMRD_AcquisitionHeader::scan_counter

Current acquisition number in the measurement

## slice_dir

float ISMRMRD::ISMRMRD_AcquisitionHeader::slice_dir[3]

Directional cosines of the slice direction

## trajectory_dimensions

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::trajectory_dimensions

Indicates the dimensionality of the trajectory vector (0 means no trajectory)

## user_float

float ISMRMRD::ISMRMRD_AcquisitionHeader::user_float[ISMRMRD_USER_FLOATS]

Free user parameters

## user_int

int32_t ISMRMRD::ISMRMRD_AcquisitionHeader::user_int[ISMRMRD_USER_INTS]

Free user parameters

## version

uint16_t ISMRMRD::ISMRMRD_AcquisitionHeader::version

First unsigned int indicates the version

The documentation for this struct was generated from the following file:

- ismrmrd.h